Package com.orchestranetworks.ui

# Class UIHttpManagerComponentReturnCode

java.lang.Object
com.orchestranetworks.ui.UIHttpManagerComponentReturnCode

public final class UIHttpManagerComponentReturnCode extends Object
Represents the return code of a user interaction initiated by `UIHttpManagerComponent`.

The return code is added to the redirection URI (see method `UIHttpManagerComponent.setRedirectionURI(String)`).

When the target application receives the redirection, it can extract the return code from the incoming request by calling `UIHttpManagerComponentHelper.getReturnCodeFromHttpRequest(jakarta.servlet.ServletRequest)`.

See Also:
  - `UIHttpManagerComponent.setRedirectionURI(String)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final UIHttpManagerComponentReturnCode`
  `MERGE_CANCEL`
  This code is returned when a merge has been cancelled by the user.
  `static final UIHttpManagerComponentReturnCode`
  `MERGE_DONE`
  This code is returned when a merge has been processed successfully.
  `static final UIHttpManagerComponentReturnCode`
  `MERGE_ERROR`
  This code is returned when an error occurs during merge.
  `static final UIHttpManagerComponentReturnCode`
  `NOTHING_TO_MERGE`
  This code is returned when there are no modifications to merge.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format()`
  `String`
  `getLabel(Locale aLocale)`
  Returns a localized label for this return code.
  `boolean`
  `hasMergeError()`
  `boolean`
  `hasNothingToMerge()`
  `boolean`
  `isMergeCancelled()`
  `boolean`
  `isMergeDone()`
  `static UIHttpManagerComponentReturnCode`
  `parse(String aCode)`
  Parses the specified string so as to return a 'return code' object.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MERGE_DONE

    public static final UIHttpManagerComponentReturnCode MERGE_DONE
    This code is returned when a merge has been processed successfully.

  - ### MERGE_CANCEL

    public static final UIHttpManagerComponentReturnCode MERGE_CANCEL
    This code is returned when a merge has been cancelled by the user.

  - ### NOTHING_TO_MERGE

    public static final UIHttpManagerComponentReturnCode NOTHING_TO_MERGE
    This code is returned when there are no modifications to merge.

  - ### MERGE_ERROR

    public static final UIHttpManagerComponentReturnCode MERGE_ERROR
    This code is returned when an error occurs during merge.

- ## Method Details

  - ### isMergeDone

    public boolean isMergeDone()
    See Also:
      - `MERGE_DONE`

  - ### isMergeCancelled

    public boolean isMergeCancelled()
    See Also:
      - `MERGE_CANCEL`

  - ### hasNothingToMerge

    public boolean hasNothingToMerge()
    See Also:
      - `NOTHING_TO_MERGE`

  - ### hasMergeError

    public boolean hasMergeError()
    See Also:
      - `MERGE_ERROR`

  - ### format

    public String format()
    See Also:
      - `parse(String)`

  - ### parse

    public static UIHttpManagerComponentReturnCode parse(String aCode)
    Parses the specified string so as to return a 'return code' object.
    See Also:
      - `format()`

  - ### getLabel

    public String getLabel(Locale aLocale)
    Returns a localized label for this return code.